#include "StdAfx.h"
#include ".\npfilefactory.h"
#include "NPFile.h"
#include "NPLocalFile.h"
#include "NPResourceFile.h"
#include "NPHTTPFile.h"
#include "NPPackFile.h"
#include <atlstr.h>

CNPFileFactory::CNPFileFactory( void )
{
}
CNPFileFactory::~CNPFileFactory( void )
{
}
INPFile* CNPFileFactory::CreateFileObject( LPCTSTR lpszURL )
{
	CString szURL = lpszURL;
	szURL.MakeLower();
	if ( szURL.Find( _T("res://") ) != -1 )
	{
		return new CNPResourceFile;
	}
	else if ( szURL.Find( _T("http://") ) != -1 )
	{
		return new CNPHTTPFile;
	}
	else if ( szURL.Find( _T("pack:") ) != -1 )
	{
		return new CNPPackFile;
	}
	return new CNPLocalFile;
}
void CNPFileFactory::DestroyFileObject(INPFile* pFile)
{
	ATLASSERT(pFile);
	pFile->Close();
	delete pFile;
}